# Class NextEncounterPhase

#### Hierarchy (view full)

- EncounterPhase
  - NextEncounterPhase
    - NewBiomeEncounterPhase

- Defined in src/phases.ts:1077

#####
Index

### Constructors

constructor

### Properties

scene

### Methods

doEncounter
doEncounterCommon
end
getEncounterMessage
hideEnemyTrainer
showEnemyTrainer
start
tryOverrideForBattleSpec

## Constructors

### constructor

- new NextEncounterPhase(scene): NextEncounterPhase

- #### Parameters

  - scene: default

  #### Returns NextEncounterPhase

  Overrides EncounterPhase.constructor

  - Defined in src/phases.ts:1078

## Properties

### `Protected` scene

scene: default

Inherited from EncounterPhase.scene

- Defined in src/phase.ts:4

## Methods

### doEncounter

- doEncounter(): void

- #### Returns void

  Overrides EncounterPhase.doEncounter

  - Defined in src/phases.ts:1082

### doEncounterCommon

- doEncounterCommon(showEncounterMessage?): void

- #### Parameters

  - showEncounterMessage: boolean = true

  #### Returns void

  Inherited from EncounterPhase.doEncounterCommon

  - Defined in src/phases.ts:944

### end

- end(): void

- #### Returns void

  Inherited from EncounterPhase.end

  - Defined in src/phases.ts:1010

### getEncounterMessage

- getEncounterMessage(): string

- #### Returns string

  Inherited from EncounterPhase.getEncounterMessage

  - Defined in src/phases.ts:923

### hideEnemyTrainer

- hideEnemyTrainer(): void

- #### Returns void

  Inherited from EncounterPhase.hideEnemyTrainer

  - Defined in src/phases.ts:644

### showEnemyTrainer

- showEnemyTrainer(trainerSlot?): void

- #### Parameters

  - trainerSlot: TrainerSlot = TrainerSlot.NONE

  #### Returns void

  Inherited from EncounterPhase.showEnemyTrainer

  - Defined in src/phases.ts:617

### start

- start(): void

- #### Returns void

  Inherited from EncounterPhase.start

  - Defined in src/phases.ts:765

### tryOverrideForBattleSpec

- tryOverrideForBattleSpec(): boolean

- #### Returns boolean

  Inherited from EncounterPhase.tryOverrideForBattleSpec

  - Defined in src/phases.ts:1061